aboutsummaryrefslogtreecommitdiffstats
path: root/plugins/mediainf
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/mediainf')
-rwxr-xr-xplugins/mediainf13
1 files changed, 13 insertions, 0 deletions
diff --git a/plugins/mediainf b/plugins/mediainf
new file mode 100755
index 0000000..f76b56b
--- /dev/null
+++ b/plugins/mediainf
@@ -0,0 +1,13 @@
+#!/usr/bin/env sh
+
+# Description: Show media information of a file in pager
+#
+# Requires: mediainfo
+#
+# Shell: POSIX compliant
+# Author: Arun Prakash Jana
+
+if ! [ -z "$1" ] && [ -f "$1" ]; then
+ mediainfo "$1" | $PAGER
+ # exiftool "$1" | $PAGER
+fi